## libjsoncpp 1.9.4

=== debian/changelog ===
libjsoncpp (1.9.4-4) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)

  [ Helmut Grohne ]
  * Fix DEB_BUILD_OPTIONS=nocheck. (Closes: #977507)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Dec 2020 23:18:09 +0100

libjsoncpp (1.9.4-3) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Dec 2020 09:26:21 +0100

libjsoncpp (1.9.4-2) experimental; urgency=medium

  * Fix pkgconfig file empty Version: field

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Dec 2020 11:24:18 +0100

libjsoncpp (1.9.4-1) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * New upstream version 1.9.4
  * Drop two keys from rules file, already defaulted to on
  * Disable build of static library, and object files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Oct 2020 22:18:02 +0200

libjsoncpp (1.9.3-1) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * New upstream version 1.9.3
  * Drop patches merged upstream
  * Bump SONAME to 24
  * Drop all the patches, looks useless now that upstream is Python3 ready
  * Move tests to new AUTOPKGTEST_TMP instead of old ADTTMP variable
  * Bump compat level to 13

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jun 2020 19:25:10 +0200

libjsoncpp (1.9.2-7) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Fix arch:all builds by running the full cmake build (Closes: #953640)
  * Drop unused cmake variable to fix a warning

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2020 22:44:09 +0100

libjsoncpp (1.9.2-6) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Try to test without parallelism to see if the random failures disappears

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2020 18:59:58 +0100

libjsoncpp (1.9.2-5) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * debian/patches/1120.patch
    - upstream merged patch to fix some other test failures

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2020 14:29:56 +0100

libjsoncpp (1.9.2-4) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * debian/patches/1103.patch:
    - add upstream-proposed patch to fix some of the build failures

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Feb 2020 08:39:16 +0100

libjsoncpp (1.9.2-3) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Fix bad indentation in control file (Closes: #935530), thanks Guillem Jover
    for the report and patch
  * Please make autopkgtests cross-test-friendly (Closes: #950387), thanks Steve Langasek
    for the report and patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Feb 2020 08:29:03 +0100

libjsoncpp (1.9.2-2) experimental; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Add R^3: no
  * Fix testsuite by running the correct include directory

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2020 19:21:33 +0100

libjsoncpp (1.9.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Gianfranco Costamagna ]
  * Import changes in NMU 1.7.4-3.1
  * Bump compat level to 12, no changes required
  * Bump std-version to 4.5.0, no changes required
  * Bump soname to 22
  * Stop providing static libs, removed upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2020 18:32:54 +0100

=== debian/control ===
Source: libjsoncpp
Priority: optional
Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
Build-Depends: cmake, debhelper-compat (= 13), python3:any
Build-Depends-Indep: doxygen
Standards-Version: 4.5.0
Section: libs
Rules-Requires-Root: no
Homepage: https://github.com/open-source-parsers/jsoncpp
Vcs-Git: https://salsa.debian.org/debian/libjsoncpp.git
Vcs-Browser: https://salsa.debian.org/debian/libjsoncpp

Package: libjsoncpp24
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for reading and writing JSON for C++
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and redable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
  * High-level data structures for collecting data from JSON.
  * Easy-to-use reader and writer.

Package: libjsoncpp-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libjsoncpp-dev
Section: doc
Replaces: libjsoncpp-dev (<< 0.10.2-1)
Breaks: libjsoncpp-dev (<< 0.10.2-1)
Description: API documentation for libjsoncpp-dev
 This package contains doxygen generated HTML API description of libjsoncpp0.
 .
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and readable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
  * High-level data structures for collecting data from JSON.
  * Easy-to-use reader and writer.

Package: libjsoncpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjsoncpp24 (= ${binary:Version}), ${misc:Depends}
Description: library for reading and writing JSON for C++ (devel files)
 This package provides all required developer resources like header-files
 and statically linked version of the library.
 .
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and readable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
  * High-level data structures for collecting data from JSON.
  * Easy-to-use reader and writer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=cmake

ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
CONFIGURE_FLAGS += -DJSONCPP_WITH_TESTS=Off
endif

override_dh_auto_configure:
	dh_auto_configure -- \
			-DBUILD_STATIC_LIBS=OFF \
			-DBUILD_OBJECT_LIBS=OFF \
			-DCMAKE_INSTALL_INCLUDEDIR=include/jsoncpp \
			$(CONFIGURE_FLAGS)

override_dh_auto_test:
	dh_auto_test --max-parallel=1

override_dh_auto_build-indep:
	ln -s obj-*/version .
	python3 doxybuild.py --doxygen=/usr/bin/doxygen
	rm version
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dist
	rm -f devtools/*.pyc
	rm -f doc/doxyfile
	rm -f doc/*.db

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         cmake,
         libjsoncpp-dev,
         pkg-config

## libjsoncpp 1.9.5

=== debian/changelog ===
libjsoncpp (1.9.5-6build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:04:55 +0200

libjsoncpp (1.9.5-6) unstable; urgency=medium

  * Bump CMake policy version to avoid deprecation warning (Closes: #1040719)

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Jul 2023 23:26:30 +0200

libjsoncpp (1.9.5-5) unstable; urgency=medium

  * Simplify d/rules and properly clean up after build
  * Prevent duplicate JsonCpp::JsonCpp target definition
  * Bump Standards-Version to 4.6.2
  * Add hardening flags to build

 -- Timo Röhling <roehling@debian.org>  Sun, 02 Jul 2023 22:56:39 +0200

libjsoncpp (1.9.5-4) unstable; urgency=medium

  * Fix autopkgtest to not use empty string as CLI argument

 -- Timo Röhling <roehling@debian.org>  Wed, 30 Mar 2022 09:20:36 +0200

libjsoncpp (1.9.5-3) unstable; urgency=medium

  * Use proper CMake config in autopkgtest

 -- Timo Röhling <roehling@debian.org>  Sat, 29 Jan 2022 17:46:38 +0100

libjsoncpp (1.9.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sat, 11 Dec 2021 15:31:59 +0100

libjsoncpp (1.9.5-1) experimental; urgency=medium

  * New maintainer by courtesy of Peter Spiess-Knafl.
    Thanks to Peter for his contributions
  * New upstream version 1.9.5
  * Drop fix-pkgconfig-file.patch (no longer needed)
  * Bump Standards-Version to 4.6.0
  * New SONAME

 -- Timo Röhling <roehling@debian.org>  Fri, 12 Nov 2021 15:29:51 +0100

libjsoncpp (1.9.4-5) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Fix d/watch
  * Fix autopkgtest regression with CMake 3.19+ (Closes: #994499)

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Sep 2021 08:17:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libjsoncpp
 Priority: optional
-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Timo Röhling <roehling@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13), python3:any
 Build-Depends-Indep: doxygen
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://github.com/open-source-parsers/jsoncpp
 Vcs-Git: https://salsa.debian.org/debian/libjsoncpp.git
 Vcs-Browser: https://salsa.debian.org/debian/libjsoncpp
 
-Package: libjsoncpp24
+Package: libjsoncpp25
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -50,7 +51,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libjsoncpp24 (= ${binary:Version}), ${misc:Depends}
+Depends: libjsoncpp25 (= ${binary:Version}), ${misc:Depends}
 Description: library for reading and writing JSON for C++ (devel files)
  This package provides all required developer resources like header-files
  and statically linked version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
CONFIGURE_FLAGS += -DJSONCPP_WITH_TESTS=OFF
endif

override_dh_auto_configure:
	dh_auto_configure -- \
			-DBUILD_STATIC_LIBS=OFF \
			-DBUILD_OBJECT_LIBS=OFF \
			-DCMAKE_INSTALL_INCLUDEDIR=include/jsoncpp \
			$(CONFIGURE_FLAGS)

override_dh_auto_test:
	dh_auto_test --buildsystem=cmake --max-parallel=1

execute_after_dh_auto_build-indep:
	ln -s obj-*/version .
	python3 doxybuild.py --doxygen=/usr/bin/doxygen
	rm version

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         cmake,
         libjsoncpp-dev

## libjsoncpp 1.9.6

=== src/test_lib_json/CMakeLists.txt ===
# vim: et ts=4 sts=4 sw=4 tw=0

add_executable(jsoncpp_test
    jsontest.cpp
    jsontest.h
    fuzz.cpp
    fuzz.h
    main.cpp
)


if(BUILD_SHARED_LIBS)
    if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.12.0)
        add_compile_definitions( JSON_DLL )
    else()
        add_definitions( -DJSON_DLL )
    endif()
    target_link_libraries(jsoncpp_test jsoncpp_lib)
else()
    target_link_libraries(jsoncpp_test jsoncpp_static)
endif()

# another way to solve issue #90
#set_target_properties(jsoncpp_test PROPERTIES COMPILE_FLAGS -ffloat-store)

## Create tests for dashboard submission, allows easy review of CI results https://my.cdash.org/index.php?project=jsoncpp
add_test(NAME jsoncpp_test
    COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:jsoncpp_test>
)
set_target_properties(jsoncpp_test PROPERTIES OUTPUT_NAME jsoncpp_test)

# Run unit tests in post-build
# (default cmake workflow hides away the test result into a file, resulting in poor dev workflow?!?)
if(JSONCPP_WITH_POST_BUILD_UNITTEST)
    add_custom_command(TARGET jsoncpp_test
        POST_BUILD
        COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:jsoncpp_test>
    )
endif()

=== debian/changelog ===
libjsoncpp (1.9.6-4) unstable; urgency=medium

  * Build static library again.
    Thanks to Sophia Caspe (Closes: #1111618)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Sep 2025 17:04:25 +0200

libjsoncpp (1.9.6-3) unstable; urgency=medium

  * Stop using cgi module (Closes: #1084661)
  * Bump cmake_minimum_required() in autopkgtest (Closes: #1087862)

 -- Timo Röhling <roehling@debian.org>  Wed, 20 Nov 2024 17:31:58 +0100

libjsoncpp (1.9.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Thu, 26 Sep 2024 19:20:52 +0200

libjsoncpp (1.9.6-1) experimental; urgency=medium

  * New upstream version 1.9.6
  * Drop all patches (merged upstream)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.0
  * Bump SOVERSION to 26

 -- Timo Röhling <roehling@debian.org>  Thu, 12 Sep 2024 14:25:22 +0200

=== debian/control ===
Source: libjsoncpp
Priority: optional
Maintainer: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 python3:any,
Build-Depends-Indep:
 doxygen,
Standards-Version: 4.7.2
Section: libs
Rules-Requires-Root: no
Homepage: https://github.com/open-source-parsers/jsoncpp
Vcs-Git: https://salsa.debian.org/debian/libjsoncpp.git
Vcs-Browser: https://salsa.debian.org/debian/libjsoncpp

Package: libjsoncpp26
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for reading and writing JSON for C++
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and redable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
  * High-level data structures for collecting data from JSON.
  * Easy-to-use reader and writer.

Package: libjsoncpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libjsoncpp26 (= ${binary:Version}),
 ${misc:Depends},
Description: library for reading and writing JSON for C++ (devel files)
 This package provides all required developer resources like header-files
 and statically linked version of the library.
 .
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and readable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
  * High-level data structures for collecting data from JSON.
  * Easy-to-use reader and writer.

Package: libjsoncpp-doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 libjsoncpp-dev,
Section: doc
Replaces:
 libjsoncpp-dev (<< 0.10.2-1),
Breaks:
 libjsoncpp-dev (<< 0.10.2-1),
Description: API documentation for libjsoncpp-dev
 This package contains doxygen generated HTML API description of libjsoncpp0.
 .
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and readable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
  * High-level data structures for collecting data from JSON.
  * Easy-to-use reader and writer.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-			-DBUILD_STATIC_LIBS=OFF \
+			-DBUILD_STATIC_LIBS=ON \
 			-DBUILD_OBJECT_LIBS=OFF \
 			-DCMAKE_INSTALL_INCLUDEDIR=include/jsoncpp \
 			$(CONFIGURE_FLAGS)

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/@PACKAGE@-$1.tar.gz/" \
    https://github.com/open-source-parsers/jsoncpp/tags \
    (?:.*?)?v?(\d[\d.]*)\.tar\.gz
